Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
CSIS Careers deploy log - encoding failed
2:40:37 PM: Build ready to start
2:40:39 PM: build-image version: 2dbd444fcdce00cf06325060a8238d5ae3e86774
2:40:39 PM: build-image tag: v3.3.7
2:40:39 PM: buildbot version: 10926ec3478dd6c0bfc84e15d24de329bb1b357f
2:40:39 PM: Fetching cached dependencies
2:40:39 PM: Starting to download cache of 254.9KB
2:40:39 PM: Finished downloading cache in 81.379956ms
2:40:39 PM: Starting to extract cache
2:40:39 PM: Failed to fetch cache, continuing with build
2:40:39 PM: Starting to prepare the repo for build
2:40:39 PM: No cached dependencies found. Cloning fresh repo
2:40:39 PM: git clone https://github.com/CSIS-iLab/career_portal
2:40:40 PM: Preparing Git Reference pull/24/head
2:40:41 PM: Found Netlify configuration file netlify.toml in site root
2:40:41 PM: Found Netlify configuration file(s). Overriding site configuration
2:40:41 PM: Different functions path detected, going to use the one specified in the Netlify configuration file: 'built-lambda' versus '' in the Netlify UI
2:40:41 PM: Creating functions prep folder
2:40:41 PM: Starting build script
2:40:41 PM: Installing dependencies
2:40:42 PM: v10.19.0 is already installed.
2:40:43 PM: Now using node v10.19.0 (npm v6.13.4)
2:40:43 PM: Attempting ruby version 2.6.2, read from environment
2:40:44 PM: Using ruby version 2.6.2
2:40:45 PM: Using PHP version 5.6
2:40:45 PM: Started restoring cached node modules
2:40:45 PM: Finished restoring cached node modules
2:40:45 PM: Installing NPM modules using NPM version 6.13.4
2:41:21 PM: > node-sass@4.13.1 install /opt/build/repo/node_modules/node-sass
2:41:21 PM: > node scripts/install.js
2:41:22 PM: Downloading binary from https://github.com/sass/node-sass/releases/download/v4.13.1/linux-x64-64_binding.node
2:41:22 PM: Download complete
2:41:22 PM: Binary saved to /opt/build/repo/node_modules/node-sass/vendor/linux-x64-64/binding.node
2:41:22 PM: Caching binary to /opt/buildhome/.npm/node-sass/4.13.1/linux-x64-64_binding.node
2:41:22 PM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/@babel/polyfill/node_modules/core-js
2:41:22 PM: > node -e "try{require('./postinstall')}catch(e){}"
2:41:22 PM: Thank you for using core-js ( https://github.com/zloirock/core-js ) for polyfilling JavaScript standard library!
2:41:22 PM: The project needs your help! Please consider supporting of core-js on Open Collective or Patreon:
2:41:22 PM: > https://opencollective.com/core-js
2:41:22 PM: > https://www.patreon.com/zloirock
2:41:22 PM: Also, the author of core-js ( https://github.com/zloirock ) is looking for a good job -)
2:41:22 PM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/babel-runtime/node_modules/core-js
2:41:22 PM: > node -e "try{require('./postinstall')}catch(e){}"
2:41:23 PM: > core-js-pure@3.6.4 postinstall /opt/build/repo/node_modules/core-js-pure
2:41:23 PM: > node -e "try{require('./postinstall')}catch(e){}"
2:41:23 PM: > core-js@3.6.4 postinstall /opt/build/repo/node_modules/react-app-polyfill/node_modules/core-js
2:41:23 PM: > node -e "try{require('./postinstall')}catch(e){}"
2:41:23 PM: > core-js@3.6.4 postinstall /opt/build/repo/node_modules/core-js
2:41:23 PM: > node -e "try{require('./postinstall')}catch(e){}"
2:41:23 PM: > node-sass@4.13.1 postinstall /opt/build/repo/node_modules/node-sass
2:41:23 PM: > node scripts/build.js
2:41:24 PM: Binary found at /opt/build/repo/node_modules/node-sass/vendor/linux-x64-64/binding.node
2:41:24 PM: Testing binary
2:41:24 PM: Binary is fine
2:41:26 PM: npm WARN
2:41:26 PM: career_portal@0.1.0 No license field.
2:41:26 PM: npm WARN
2:41:26 PM: optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.12 (node_modules/jest-haste-map/node_modules/fsevents):
2:41:26 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.12: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})
2:41:26 PM: npm
2:41:26 PM: WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.12 (node_modules/chokidar/node_modules/fsevents):
2:41:26 PM: npm WARN notsup
2:41:26 PM: SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.12: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})
2:41:26 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@2.1.2 (node_modules/fsevents):
2:41:26 PM: npm
2:41:26 PM: WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.1.2: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})
2:41:26 PM: added 2228 packages from 843 contributors and audited 932810 packages in 40.575s
2:41:28 PM: 83 packages are looking for funding
2:41:28 PM: run `npm fund` for details
2:41:28 PM: found 0 vulnerabilities
2:41:28 PM: NPM modules installed
2:41:29 PM: Started restoring cached go cache
2:41:29 PM: Finished restoring cached go cache
2:41:29 PM: unset GOOS;
2:41:29 PM: unset GOARCH;
2:41:29 PM: export GOROOT='/opt/buildhome/.gimme/versions/go1.12.linux.amd64';
2:41:29 PM: export PATH="/opt/buildhome/.gimme/versions/go1.12.linux.amd64/bin:${PATH}";
2:41:29 PM: go version >&2;
2:41:29 PM: export GIMME_ENV='/opt/buildhome/.gimme/env/go1.12.linux.amd64.env';
2:41:29 PM: go version go1.12 linux/amd64
2:41:29 PM: Installing missing commands
2:41:29 PM: Verify run directory
2:41:29 PM: Executing user command: npm run build
2:41:29 PM: > career_portal@0.1.0 build /opt/build/repo
2:41:29 PM: > netlify-lambda build src/lambda | react-app-rewired build
2:41:32 PM: Creating an optimized production build...
2:41:35 PM: `@babel/polyfill` is deprecated. Please, use required parts of `core-js`
2:41:35 PM: and `regenerator-runtime/runtime` separately
2:41:46 PM: Replace Autoprefixer browsers option to Browserslist config.
2:41:46 PM: Use browserslist key in package.json or .browserslistrc file.
2:41:46 PM: Using browsers option can cause errors. Browserslist config
2:41:46 PM: can be used for Babel, Autoprefixer, postcss-normalize and other tools.
2:41:46 PM: If you really need to use option, rename it to overrideBrowserslist.
2:41:46 PM: Learn more at:
2:41:46 PM: https://github.com/browserslist/browserslist#readme
2:41:46 PM: https://twitter.com/browserslist
2:42:13 PM: Compiled with warnings.
2:42:13 PM: ./src/app/pages/Post.js
2:42:13 PM: Line 273:1: Array prototype is read only, properties should not be added no-extend-native
2:42:13 PM: Search for the keywords to learn more about each warning.
2:42:13 PM: To ignore, add // eslint-disable-next-line to the line before.
2:42:13 PM: File sizes after gzip:
2:42:13 PM: 209.35 KB build/static/js/2.d4771396.chunk.js
2:42:13 PM: 12.78 KB build/static/js/main.c9fafdb0.chunk.js
2:42:13 PM: 7.26 KB build/static/css/main.f7f89036.chunk.css
2:42:13 PM: 776 B build/static/js/runtime-main.b2fd4cb2.js
2:42:13 PM: The project was built assuming it is hosted at /.
2:42:13 PM: You can control this with the homepage field in your package.json.
2:42:13 PM: The build folder is ready to be deployed.
2:42:13 PM: You may serve it with a static server:
2:42:13 PM: npm install -g serve
2:42:13 PM: serve -s build
2:42:13 PM: Find out more about deployment here:
2:42:13 PM: bit.ly/CRA-deploy
2:42:13 PM: Function Dir: /opt/build/repo/built-lambda
2:42:13 PM: TempDir: /tmp/zisi-5e84e025b1fb8dfa28d1793c
2:42:14 PM: Prepping functions with zip-it-and-ship-it 0.3.1
2:42:14 PM: Error: Could not find "encoding" module in file: /repo/built-lambda/cors.js.
2:42:14 PM: Please ensure "encoding" is installed in the project.
2:42:14 PM: Error prepping functions
2:42:14 PM: Error running command: Build script returned non-zero exit code: 1
2:42:14 PM: Failing build: Failed to build site
2:42:14 PM: failed during stage 'building site': Build script returned non-zero exit code: 1
2:42:14 PM: Finished processing build request in 1m35.785954323s
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment